package com.iwe3.langchain4j.controller;

import dev.langchain4j.model.chat.ChatModel;
import jakarta.annotation.Resource;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Slf4j
public class MultiModelController
{
    @Resource(name = "qwen")
    private ChatModel chatModelQwen;

    @Resource(name = "deepseek")
    private ChatModel chatModelDeepSeek;

    // http://localhost:9002/multimodel/qwen?prompt=如何学习LangChain4J
    @GetMapping(value = "/multimodel/qwen")
    public String qwenCall(@RequestParam(value = "prompt", defaultValue = "你是谁") String prompt) {
        var result = chatModelQwen.chat(prompt);
        System.out.println("通过langchain4j调用模型返回结果：\n"+result);
        return result;
    }

    // http://localhost:9002/multimodel/deepseek?prompt=如何学习LangChain4J
    @GetMapping(value = "/multimodel/deepseek")
    public String deepseekCall(@RequestParam(value = "prompt", defaultValue = "你是谁") String prompt){
        var result = chatModelDeepSeek.chat(prompt);
        System.out.println("通过langchain4j调用模型返回结果：\n"+result);
        return result;
    }
}
